/***************************************
*
* Minimal REXLANG example
*
****************************************/   

//assigning inputs to variables, these variables are READ-ONLY
double input(0) value0; // input
double input(1) value1; // aantal eieren optellen
double input(2) value2; // aantal x 180 2 de soort
double input(3) value3; // Tijd inpuls voor resetten
string input(4) value4; // Jaar
string input(5) value5; // Maand
string input(6) value6; // Dag

int input(9) value9; // ingang
double input(10) value10; // Min kg
double input(11) value11; // Max kg
double input(12) value12; // Min volt
double input(13) value13; // Max volt
double input(14) value14; // analoge ingang

//assigning variables to outputs, these variables are WRITE-ONLY
double output(0) sum0; // 1 de soort
double output(1) sum1; // 2 de soort
bool output(2) sum2; // Reset waardes
long output(3) sum3; // Tijd Uur voor resettten
long output(4) sum4; // Tijd Min voor resetten
long output(5) sum5; // Tijd sec voor resetten
int output(6) sum6; // Database 2 de soort
int output(7) sum7; // Database 1 de soort
string output(8) sum8; // Datum
double output(15) sum15; // voer

//the init procedure is executed once when the REXLANG function block initializes
long init(void)
{
  return 0;
}

//the main procedure is executed once in each sampling period
long main(void)
{
   string i[1024];
   double gewicht;
   double volt;
   double berekeing;
   double kilo;
   
	sum1 = value1 * value2;
	sum0 = (value1 * value0) + sum1;
	sum3 = 1;
	sum4 = 00;
	sum5 = 50;
	sum6 = sum1;
	sum7 = sum0;
	
	if (value5 == "10")
	{
		i = "";
	}
	else if (value5 == "11")
	{
		i = "";
	}
	else if (value5 == "12")
	{
		i = "";
	}
	else{
		i = "0";
	}
	
		
	sum8 = value4 + "-" + i + value5 + "-" + value6;
	
	if(value3 == 1)
		{
		sum2 = 1;
	}
	if(value3 != 1)
		{
		sum2 = 0;
	}
	
	gewicht = value11 - value10;
	volt = value13 - value12;
	berekeing = (gewicht / volt) / 100;
	sum15 = (value14 - value12) * berekeing * 100;

	
	return 0;
	
}

//the exit procedure is executed once when the task is correctly terminated
// (system shutdown, downloading new control algorithm, etc.)
long exit(void)
{
  return 0;
}